/* CSS Document */

/* ================================================== */

:root {
    --main-shade: rgb(180,230,160); /* rgb(205, 240, 190) rgb(218,242,208);*/
    --tr-hover: var(--main-shade);
    --tr-bgheader: rgb(215,215,215);
    --red-dark: rgb(150,20,20);
    --blue-dark: rgb(0,0,150);
    --blue-main: rgb(0,0,200);
    --blue-light: rgb(220,235,250);
    --blue-href: rgb(8,70,160);
    /*below should be used for all icons*/
    --green-icons: rgb(0,128,0);
    --green-bmi: rgb(143,216,0);
    --gray-darker: rgb(50,50,50);
    --gray-dark: rgb(100,100,100);
    --gray-medium: rgb(150,150,150);
    --gray-light: rgb(200,200,200);
    --gray-lighter: rgb(222,226,230);
    --bg-biqsue: rgb(250,225,215);
    --bg-orangelight: rgb(245,200,175);
    --bg-orangemedium: rgb(225,100,0);
    --fr-text: rgb(190,80,20);
    /* Success Colors */
    --success-50: #F0FDF4;
    --success-100: #DCFCE7;
    --success-200: #BBF7D0;
    --success-300: #86EFAC;
    --success-400: #4ADE80;
    --success-500: #22C55E;
    --success-600: #16A34A;
    --success-700: #15803D;
    --success-800: #166534;
    --success-900: #14532D;
    /* Neutral Colors */
    --neutral-50: #F8FAFC;
    --neutral-100: #F1F5F9;
    --neutral-200: #E2E8F0;
    --neutral-300: #CBD5E1;
    --neutral-400: #94A3B8;
    --neutral-500: #64748B;
    --neutral-600: #475569;
    --neutral-700: #334155;
    --neutral-800: #1E293B;
    --neutral-900: #0F172A;
    --old-Yellow: #FFE135;
    /* Warning Colors */
    --warning-100: #FFF9C4;
    --warning-900: #713F12;
    /* Primary Colors */
    --primary-50: #E6F7F2;
    --primary-300: #64D7B1;
    --primary-700: #0C8C5F;
    --primary-800: #336B1F;
    --primary-900: #095C3F;
    /* Danger/Error Colors */
    --danger-100: #FEE2E2;
    --danger-900: #7F1D1D;
    /* Secondary Colors */
    --secondary-50: #E6F9FA;
    --secondary-300: #5AC8D8;
    --secondary-500: #06AED5;
    --secondary-700: #0588A6;
    --secondary-900: #034A5F;
    /* Common Colors */
    --white: #FFFFFF;
    --black: #1D1D1D;
    /* Border */
    --border-primary: solid 1px silver;
    --border-radius-md: 8px;
    --tdBorder: solid 1px silver;
}

/* ================================================== */

* {
    box-sizing: border-box;
}

html {
    padding: 0;
    margin: 0;
    font-size: 13px;
}

body {
    background: #fff;
    font-family: Arial, sans-serif !important;
    font-size: inherit;
    padding: 0;
    margin: 0;
    padding-bottom: 50px !important;
    min-width: 350px !important;
}

#map {
    max-width: 450px;
    width: 100%;
    height: 100px;
    border: solid 2px var(--gray-dark);
}

.breadcrumb {
    font-weight: bold !important;
    font-size: 0.9rem !important;
}

/*-----------------------------------------------------------------------------------*/

input[type=text]:focus, input[type=date]:focus, input[type=password]:focus,
input[type=email]:focus, input[type=number]:focus, input[type=time]:focus,
select:focus, textarea:focus {
    outline: solid 1px black;
    box-shadow: 1px 1px 5px 1px rgba(0,128,0,0.85);
    -webkit-box-shadow: 1px 1px 5px 1px rgba(0,128,0,0.85);
    -moz-box-shadow: 1px 1px 5px 1px rgba(0,128,0,0.85 );
}

:disabled {
    color: var(--gray-darker) !important;
}

/*-----------------------------------------------------------------------------------*/

.wBarCodeScan {
    width: 100%;
    max-width: 500px;
	max-height: 250px;
}

.divPar {
    padding: 7px 0;
}

.divPanel {
    padding: 0;
    width: 100%;
    margin: 0;
    display: block;
}

.divBorder {
    padding: 10px;
    border: solid 1px var(--gray-medium);
}

.divButtons {
    padding: 7px 0;
}

    .divButtons input[type=submit] {
        margin-right: 10px;
    }

.divSearchTag {
    padding: 7px 0;
}

    .divSearchTag span {
        margin-right: 10px;
        background-color: var(--gray-lighter);
        font-size: 0.90rem;
        color: black;
        padding: 3px 10px;
        border-radius: 3px;
        margin-bottom: 3px;
        display: inline-block;
        font-style: italic;
        font-weight: bold;
    }

form {
    padding: 0;
    border: solid 1px white;
}

.hover:hover {
    background-color: var(--primary-50);
    border-color: var(--primary-700);
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    margin-top: 0.5rem;
    margin-bottom: 0.6rem;
    font-weight: 700;
    line-height: 1.2;
    color: var(--primary-900);
    font-family: Arial;
}

.h1, h1 {
    font-size: 2.2rem;
}

.h2, h2 {
    font-size: 1.9rem;
}

.h3, h3 {
    font-size: 1.6rem;
}

.h4, h4 {
    font-size: 1.2rem;
}

@media (max-width:799px) {

    .h1, h1 {
        font-size: 2.0rem;
    }

    .h2, h2 {
        font-size: 1.6rem;
    }

    .h3, h3 {
        font-size: 1.3rem;
    }

    .h4, h4 {
        font-size: 1.15rem;
    }
}

/*-----------------------------------------------------------------------------------*/

::placeholder {
    color: var(--gray-medium);
    font-size: 0.90rem;
    font-style: italic;
    text-transform: uppercase;
}

input, textarea, select {
    font-family: inherit;
    font-size: inherit;
}

.hrefSubLink {
    background-color: var(--blue-main);
    color: white;
    padding: 0px 5px;
}

.elementhide {
    display: none !important;
}

.st_NoUnderline {
    text-decoration: none !important;
}

.button {
    background-color: var(--primary-900);
    color: #fff;
    font-weight: 400;
    font-size: 1.1rem; /*16px;*/
    border: none;
    border-radius: 10px;
    text-align: center;
    height: 40px;
    padding-left: 25px;
    padding-right: 25px;
    cursor: pointer;
    margin-bottom: 5px;
    min-width: 100px;
}

    .button:hover, .button:focus, .button:active {
        background-color: var(--primary-700); /*#84c149;*/
        text-decoration: none;
    }

.buttonSec {
    background-color: var(--gray-light);
    color: black;
    font-weight: 400;
    font-size: 1.1rem; /*16px;*/
    border: none;
    border-radius: 10px;
    text-align: center;
    height: 40px;
    padding-left: 25px;
    padding-right: 25px;
    cursor: pointer;
    margin-bottom: 5px;
    min-width: 100px;
}

    .buttonSec:hover, .buttonSec:focus, .buttonSec:active {
        background-color: var(--gray-medium); /*#84c149;*/
    }


.btnLinkExp {
    border: none;
    outline: none;
    background: none;
    cursor: pointer;
    color: var(--blue-main);
    font-size: 1.0rem; /*16px;*/
}

    .btnLinkExp:hover {
        text-decoration: underline;
    }
/*-----------------------------------------------------------------------------------*/


.mainContainer {
    width: 100%;
    padding: 0 40px;
    overflow: auto;
}


.alignleft {
    text-align: left !important;
}

.aligncenter {
    text-align: center !important;
}

.alignright {
    text-align: right !important;
}

.txtsmall {
    font-size: 0.9rem !important;
}

.inline-block {
    display: inline-block !important;
    margin-right: 5px !important;
}

.stBlock {
    display: block;
}

.alignTop {
    vertical-align: top;
}

.divInnerBox {
    display: inline-block;
    height: 45px;
    width: 250px;
    border: solid 1px silver;
    border-radius: 5px;
    overflow-y: auto;
    padding: 3px;
}

.bgGreen {
    background-color: forestgreen !important;
}

.bgSilver {
    background-color: silver;
}

.spanVBar {
    padding: 0 2px;
    font-weight: bold;
}

/*-----------------------------------------------------------------------------------*/
/* login
/*-----------------------------------------------------------------------------------*/
#login-page {
    height: 100%;
    background-color: #84c149;
    /*background-image: url(../images/login/bg.png);*/
    background-repeat: no-repeat;
    /*background-size: contain;
    background-position: center;*/
    background-size: cover;
    background-position: center;
}

#frmLogin, #frmForgotPwd {
    /*position: absolute;*/
    /*left: 50%;*/
    /*top: 50%;*/
    /*margin: 0 auto;*/
    /*margin-top: 100px;*/
    /*transform: translate(-50%, -50%);*/
    /*width: 95%;*/
    /*max-width: 480px;*/
}

#login-logo {
    margin: auto;
    display: block;
}

#divLoginForm {
    background: #fff;
    border-radius: 15px;
    padding: 20px;
    margin: 50px auto;
    width: 95%;
    max-width: 500px;
    box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.2);
}

#login-page h2 {
    margin: 5px 0;
}


/*-----------------------------------------------------------------------------------*/
/* header & footer
/*-----------------------------------------------------------------------------------*/

.no-underline {
    text-decoration: none;
}

header {
    box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.2);
    width: 100%;
}

    header .container {
        display: flex;
        align-items: center;
        height: 80px;
        background: #fff;
    }

.top-logo-client {
    max-width: 50px;
    max-height: 30px;
}

.top-logo {
    height: 35px;
}

#icon-menu {
    cursor: pointer;
}

#header-right {
    margin-left: auto;
    display: flex;
    align-items: center;
}

#icon-profile {
    position: relative;
}

    #icon-profile img {
        border-radius: 20px;
        border: solid 1px silver;
    }

    #icon-profile span {
        position: absolute;
        right: 0;
        bottom: 0;
        color: #fff;
        background: #FF4848;
        border-radius: 50%;
        width: 16px;
        height: 16px;
        text-align: center;
        font-weight: bold;
        font-size: 0.75rem;
        line-height: 15px;
    }

.icon-imgprofile {
    border-radius: 20px;
    border: solid 1px silver;
    margin-left: 15px;
    height: 40px;
    width: 40px;
    position: relative;
}

.icon-lg {
    max-height: 35px;
    max-width: 35px;
}

.icon-md {
    height: 24px;
    width: 24px;
}

.icon-sm {
    height: 16px;
    width: 16px;
}


.notice {
    background: #308746;
    color: #fff;
    width: 100%;
    text-align: center;
    padding: 10px;
}

footer {
    background: #fff;
    padding: 0;
}

    footer .container {
        display: flex;
        align-items: center;
        height: 65px;
        background: #fff;
        padding: 0;
    }

        footer .container p {
            /*text-align: center;*/
            width: 100%;
            font-size: 0.85rem;
        }


/*-----------------------------------------------------------------------------------*/
/* menu
/*-----------------------------------------------------------------------------------*/


.nav-link {
    display: flex;
    gap: 1rem;
    border: solid 2px transparent !important;
    align-items: center;
    padding: 0.25rem 0.5rem !important;
    margin-block: 0.25rem;
    border-radius: var(--border-radius-md);
}

    .nav-link:hover {
        border: solid 2px var(--primary-300) !important;
        background: var(--primary-50) !important;
    }


#menu {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    z-index: 9999;
    position: fixed;
    background: var(--white);
    height: 100vh;
    padding: 1.5rem 4rem 1.5rem 3rem;
    box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.2);
    transition: 0.3s;
}

    #menu.close {
        display: none;
    }

    #menu strong {
        color: var(--primary-700)
    }


.menu-top {
    display: flex;
    gap: 1rem;
    align-items: center;
    /*margin-block: 1rem;*/
}

#menu-logo {
    margin-left: 34px;
    margin-top: 3px;
    max-width: 225px;
    max-height: 35px;
}

#menu ul {
    margin: 0;
    padding: 0;
    width: 100%;
}

    #menu ul li {
        list-style: none;
        margin: 0;
    }

        #menu ul li a {
            color: var(--primary-700);
            font-size: 1.1rem;
            list-style: none;
            display: flex;
            align-items: center;
            font-weight: 600;
            text-decoration: none;
        }

            #menu ul li a .icon-holder {
                margin-right: 12px;
                text-align: center;
                width: 24px;
                height: 24px;
            }

                #menu ul li a .icon-holder img {
                    max-height: 100%;
                    max-width: 100%;
                    margin: auto;
                }

        #menu ul li ul.submenu {
            margin-left: 36px;
        }

            #menu ul li ul.submenu li {
                list-style: none;
                margin: 0;
                padding: 0;
            }

                #menu ul li ul.submenu li a {
                    font-weight: 400;
                }


/*-----------------------------------------------------------------------------------*/
/* content
/*-----------------------------------------------------------------------------------*/


.breadcrumb a {
    text-decoration: none;
    color: var(--neutral-400);
}

.bgMain {
    background: var(--main-shade);
}

.trHeaderClient {
    color: var(--primary-700);
    font-weight: bold;
    text-transform: uppercase;
    font-size: 1.1rem;
}

#main {
    padding: 5px 0;
    /*color: var(--primary-700);*/
}

/*#main ul {
        margin: 10px 20px;
        padding: 0;
    }

        #main ul li {
            margin: 0;
            padding: 0;
        }*/

#secondary {
    padding: 0.5rem 0;
    background: #fff;
}

.hrSub {
    margin: 10px 0 !important;
}

/*-----------------------------------------------------------------------------------*/

.tblCalendar {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
}

    .tblCalendar td {
        vertical-align: top;
        border: solid 1px var(--neutral-300);
        width: 14.28%;
        padding: 0;
        min-width: 100px;
        padding-bottom: 75px;
    }

.itemCalMain {
    font-size: 0.85rem;
    border: var(--border-primary);
    padding: 1px;
    position: relative;
}

    .itemCalMain:hover {
        /*background-color: var(--blue-light);*/
        text-decoration: underline !important;
    }

.itemCalIcon {
    position: absolute;
    top: 2px;
    right: 2px;
    width: 25px;
    height: 27px;
    border: solid 1px transparent;
}

    .itemCalIcon:hover {
        border: solid 1px var(--primary-900);
    }

.tblCalDayOther {
    background-color: var(--neutral-200);
    color: var(--neutral-400);
    font-style: italic;
}

.trCalMonthHeader {
    font-weight: bold;
    background-color: var(--neutral-300);
    text-transform: uppercase;
    font-size: 0.95rem;
    text-align: center;
    padding: 10px 5px;
}

.tblCalDayCurr:hover {
    background-color: var(--main-shade) !important;
}

    .tblCalDayCurr:hover .trCalMonthHeader {
        background-color: var(--primary-700) !important;
        color: white !important;
    }

.trSchedWeek {
    height: 300px;
}

.trHeader {
    font-weight: bold;
    font-size: 0.85rem;
    background-color: var(--neutral-200);
    text-transform: uppercase;
}

.trHeaderGroup {
    font-weight: bold;
    background-color: var(--primary-700) !important;
    border: solid 1px var(--primary-700);
    color: white !important;
    font-size: 1.1rem !important;
    text-transform: uppercase;
}

.trHeaderDark {
    font-weight: bold;
    background-color: var(--gray-dark);
    border: solid 1px var(--primary-900);
    color: white !important;
    font-size: 1.1rem;
}

.trCalDayHead {
    font-weight: bold;
    background-color: rgb(140,140,140);
    text-align: center;
    padding: 10px 0;
    font-size: 1.25rem;
}

.divCalDayHead {
    font-weight: bold;
    background-color: var(--neutral-200);
    text-align: center;
    padding: 10px 0;
}

.tablePaging {
    width: 100%;
    padding: 10px 0;
    text-align: right;
    font-weight: bold;
    font-size: 0.9rem;
    text-transform: uppercase;
    color: rgb(75,75,75) !important;
}

    .tablePaging span {
        padding: 0 5px;
    }

.tableContainer {
    width: 100%;
    padding-bottom: 10px;
    overflow-x: auto;
}

    .tableContainer table {
        min-width: 800px;
    }

.trHover:hover {
    background-color: var(--tr-hover) !important;
    color: black !important;
    border-top: solid 1px var(--primary-900) !important;
    border-bottom: solid 2px var(--primary-900) !important;
}

    .trHover:hover td {
        border-top: solid 1px var(--primary-900) !important;
        border-bottom: solid 1px var(--primary-900) !important;
    }

    .trHover:hover a {
        color: var(--blue-href) !important;
    }

.tblClear {
    border-collapse: collapse;
    width: 100%;
}

    .tblClear td {
        padding: 5px;
        border: solid 1px var(--gray-medium);
        text-align: left;
    }

    .tblClear tr {
        height: 40px;
        border: solid 1px var(--gray-medium);
    }

.tblNoBorder {
    border-collapse: collapse;
    width: 100%;
}

    .tblNoBorder td {
        padding: 5px;
        text-align: left;
    }

    .tblNoBorder tr {
        height: 40px;
        border: solid 1px white;
    }

.tblMinimum {
    border-collapse: collapse;
    width: 100%;
}

    .tblMinimum tr {
        border: solid 1px white;
        height: 25px;
    }

    .tblMinimum td {
        padding: 3px;
        text-align: left;
    }

.tblClearMin {
    border-collapse: collapse;
}

    .tblClearMin tr {
        border: solid 1px white;
    }

    .tblClearMin td {
        padding: 3px;
        text-align: left;
    }

.tblSchedule {
    border-collapse: collapse;
    width: 100%;
}

    .tblSchedule td {
        padding: 0.75rem;
    }


.tblTDBorder td {
    border: solid 1px var(--gray-medium);
}

.noTdBorder td {
    border: solid 1px white;
}

.tblForm {
    border-collapse: collapse;
    width: 100%;
}

    .tblForm tr {
        height: 40px;
    }

    .tblForm td {
        padding: 2px;
    }

        .tblForm td:first-child {
            width: 175px;
            font-weight: bold;
        }

.bottomDashed {
    border-bottom: dashed 1px var(--gray-medium);
}

.tblNone {
    border-collapse: collapse !important;
    width: 100% !important;
}

    .tblNone td {
        padding: 0 !important;
    }

tbody, thead {
    width: 100%;
    display: table;
}

.noWidth {
    width: unset !important;
}
/*-----------------------------------------------------------------------------------*/
/* home
/*-----------------------------------------------------------------------------------*/
.ul-selection {
    list-style-position: outside;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

    .ul-selection li {
        margin: 10px 0;
    }


.ul-alert {
    margin: 0;
    list-style-position: outside;
}

    .ul-alert li {
        list-style: none;
        padding: 3px 0;
    }

        .ul-alert li::before {
            content: '';
            display: inline-block;
            margin-right: 5px;
            margin-left: -20px;
            height: 10px;
            width: 10px;
            background-image: url('../Images/Main/icon-left-arrow.svg');
        }

.home h1 {
    margin-bottom: 25px;
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    margin-bottom: 1rem;
}

.divGridContainer {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    margin-bottom: 1rem;
    border: solid 1px var(--gray-lighter) !important;
    border-radius: 0.375rem;
    padding: 0 !important;
}

.divGridInfo {
    color: var(--black);
    position: relative;
    border-radius: 0.5rem;
    border: solid 1px white;
    padding: 0.40rem;
    /*display: grid;*/
    align-items: center;
}

    .divGridInfo:hover {
        background-color: var(--primary-50) !important;
        border-color: var(--primary-700) !important;
    }

.boxes {
    /*display: flex;*/
    /*gap: 10px;*/
    /*width: calc(100% + 20px);*/
    /*margin: 0 -10px 50px -10px;*/
    /*flex-wrap: wrap;*/
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 10px;
    width: 100%;
    overflow: auto;
    padding: 0px;
}

    .boxes .box {
        position: relative;
        /*box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.2);*/
        display: flex;
        flex-wrap: wrap;
        margin: 10px;
        width: calc(33.33% - 27px);
        padding: 0;
        border-radius: 24px;
        border: solid 1px #c1c1c1;
        background: #fff;
    }

.box a.box-icon {
    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto 80px auto;
}

.box:hover a.box-icon img {
    opacity: 0.8;
}

.box a.box-link {
    font-size: 1.05rem;
    font-weight: bold;
    text-decoration: none;
    position: absolute;
    bottom: 0;
    /*left: 0;*/
    padding: 30px 50px 30px 30px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    background: url(../images/main/icon-left-arrow.svg) no-repeat calc(100% - 25px) center / 10px 10px;
    width: 100%;
}

.box:hover a.box-link {
    color: #308746;
}
/*-----------------------------------------------------------------------------------*/
/* forms
/*-----------------------------------------------------------------------------------*/

.form-sm {
    width: 100%;
    display: block;
    margin: 0;
}

.form-description {
    /*font-size: 15px;*/
    /*font-weight: 600;*/
    /*color: var(--gray-dark);*/
    /*padding-bottom: 10px;*/
}

.txt-success {
    color: #155724 !important;
}

.st_txtRed {
    color: var(--danger-900) !important;
}

.txt-danger {
    color: var(--danger-900) !important;
    font-weight: bold !important;
}

.txt-normal {
    font-size: 1.0rem !important;
}

.txt-large {
    font-size: 1.1rem !important;
}

.txt-larger {
    font-size: 1.2rem !important;
}

.txt-small {
    font-size: 0.90rem !important;
}

.txt-Upper {
    text-transform: uppercase;
}

.txt-Lower {
    text-transform: lowercase;
}

.txt-notes {
    font-size: 0.90rem !important;
    color: rgb(110,110,110) !important;
    font-weight: bold;
    font-style: italic;
    text-transform: uppercase;
}
/* ================================================== */
/* schedule page items */

.calTdSched {
    width: 14.28%;
    padding: 0;
    min-width: 100px;
}

.no-wrap {
    white-space: nowrap !important;
    text-overflow: ellipsis !important;
    overflow: hidden !important;
    max-width: 200px;
}

.itemSchedMain {
    font-size: 1rem !important;
}

.itemSched {
    border: solid 1px transparent;
    border-radius: 0.5rem;
    padding: 1rem 0.5rem;
    font-size: 0.85rem !important;
}

    .itemSched a, .itemSchedMain a {
        text-decoration: none;
    }

.borderDark {
    border-color: var(--primary-900) !important;
}

.sched-all {
    background-color: #d1ecf1;
    color: var(--blue-dark) !important;
}

.divLegend {
    border: var(--tdBorder);
    border-width: 2px;
    border-radius: 5px;
    padding: 5px;
    font-size: 0.95rem;
    font-weight: bold;
    min-width: 85px;
}

    .divLegend:hover {
        background-color: var(--tr-hover) !important;
        color: black !important;
        border-color: var(--primary-900) !important;
    }

.legend-Sel {
    border-color: var(--primary-900) !important;
    text-transform: uppercase;
    text-decoration: underline !important;
}

.sched-success, .trSuccess, .legend-success {
    background-color: var(--success-100);
    color: var(--success-900);
}

    .sched-success a, .trSuccess a, .legend-success a {
        color: var(--success-900) !important;
    }

.sched-pending, .trPending, .legend-pending {
    background-color: var(--warning-100);
    color: var(--warning-900) !important;
}

    .sched-pending a, .trPending a, .legend-pending a {
        color: var(--warning-900) !important;
    }

.sched-cancel, .trCancel, .legend-cancel {
    background-color: var(--danger-100);
    color: var(--danger-900) !important;
}

    .sched-cancel a, .trCancel a, .legend-cancel a {
        color: var(--danger-900) !important;
    }

/* end of schedule page items */
/* ================================================== */
.alert {
    /*border-radius: 12px;*/
    margin: 5px 0;
    padding: 8px 5px;
    border-width: 2px;
    border-style: solid;
    width: 100%;
    display: block;
    font-weight: bold;
    font-size: 12px;
    text-transform: uppercase;
}

.alert-danger {
    color: var(--danger-900);
    background-color: var(--danger-100);
    border-color: var(--danger-900);
}

.alert-info {
    color: var(--blue-dark);
    background-color: #d1ecf1;
    border-color: #bee5eb;
}

.alert-success {
    color: var(--primary-700);
    background-color: var(--tr-hover);
    border-color: var(--primary-700);
}

.alert-warning {
    color: #423202; /*#856404;*/
    background-color: #fff3cd;
    border-color: #ffd03b;
}

.alert-redvbar {
    border-left: solid 3px red;
}

.trNotActive {
    color: var(--danger-900);
    background-color: var(--warning-100);
}

.trYellow {
    background-color: var(--old-Yellow);
}

.trOverdue {
    background-color: var(--danger-100);
    color: var(--danger-900);
}

.field {
    display: block;
    padding: 5px 0;
    padding-bottom: 10px;
}

.field-text {
    display: block;
    margin: 10px auto 10px auto;
    font-weight: bold;
    color: var(--gray-dark);
}

label, .divLabel {
    display: block;
    color: var(--black);
    font-size: 1.0rem;
    font-weight: 600;
}

.txtFR {
    color: var(--fr-text) !important;
    font-style: italic !important;
}

.txtbox {
    border: none;
    outline: solid 2px #E1E0E0;
    background: #fff;
    height: 35px;
    margin: 5px 0;
    padding: 0 10px;
    border-radius: 5px;
    min-width: 100px;
}

.txtarea {
    width: 100%;
    border: solid 2px #E1E0E0;
    background: #fff;
    margin: 5px 0;
    font-size: 1.0rem;
    padding: 10px;
    border-radius: 5px;
}

.w1pxfix {
    width: 1px !important;
}

.w50pxfix, .w50px {
    width: 50px !important;
}

.w75pxfix, .w75px {
    width: 75px !important;
}

.w100pxfix, .w100px {
    width: 100px !important;
}

.w125pxfix, .w125px {
    width: 125px !important;
}

.w150pxfix, .w150px {
    width: 150px !important;
}

.w200pxfix, .w200px {
    width: 200px !important;
}

.w250pxfix, .w250px {
    width: 250px !important;
}

.w300px {
    width: 100%;
    max-width: 300px !important;
}

.w400px {
    width: 100%;
    max-width: 400px !important;
}

.w600px {
    width: 100%;
    max-width: 600px !important;
}

.w100perc {
    width: 100%;
    display: block;
}

.w50perc {
    width: 50%;
}

.selectbox-holder {
    margin: 6px 0;
    padding: 0;
    display: flex;
    align-items: center;
}

.ddlbox {
    border: none;
    outline: solid 2px #E1E0E0;
    background: #fff;
    height: 35px;
    margin: 5px 0;
    padding: 0 10px;
    border-radius: 5px;
    min-width: 100px;
}

    .ddlbox option {
        background-color: var(--tr-hover);
    }

.selectbox {
    height: 35px;
    padding: 0 40px 0 10px;
    border-radius: 5px;
    border: none;
    outline: solid 2px #E1E0E0;
    min-width: 100px;
    /*background: #fff url("../images/main/icon-down.svg") no-repeat calc(100% - 10px) center / 16px auto;*/
    /*appearance: none;*/
    /*-webkit-appearance: none;*/
}

.selectbox-holder-wide {
    width: 100%;
    margin: 6px 0;
    padding: 0;
    display: flex;
    align-items: center;
}

    .selectbox-holder-wide .selectbox {
        width: 100%;
    }
/*.radio-holder {
    margin: 0 0 20px 0;
}

    .radio-holder label {
        display: flex;
        align-content: center;
        margin: 0;
        padding: 0;
        line-height: 1.5;
    }

    .radio-holder input[type="radio"] {
        appearance: none;
        background-color: #fff;
        margin: 0 15px 0 0;
        font: inherit;
        color: #000;
        width: 24px;
        height: 24px;
        border: 2px solid var(--gray-dark);
        border-radius: 50%;
    }

        .radio-holder input[type="radio"]:focus {
            background-color: #84c149;
            border: 2px solid #84c149;
        }

        .radio-holder input[type="radio"]:hover {
            outline: max(2px, 2px) solid #84c149;
            outline-offset: max(2px, 2px);
        }*/

#forgot-password {
    display: block;
    margin: 0 auto 40px auto;
    width: 100%;
    text-align: right;
}

.upload-field h4, .link-field h4 {
    text-align: center;
    color: var(--gray-dark);
    padding: 0 0 15px 0;
    margin: auto;
}
/* ================================================== */

.imgLogin {
    display: block;
    max-width: 100%;
    max-height: 95px;
    margin: 0 auto;
}

.bgBoxLight {
    background-color: var(--gray-lighter);
}

.noBgBorder {
    background-color: unset !important;
    border: unset !important;
}

.trLangSel {
    height: 36px !important;
}

.divInput {
    background: none;
    width: 100%;
    padding: 10px 0;
    display: block;
}

.divOtlLoc {
    display: flex;
    width: 49%;
    height: 50px;
    overflow-y: auto;
    padding: 5px;
}

#divWaiting img {
    height: 25px;
}

.tbl-icon {
    display: block;
    margin: 0 auto;
    height: 28px;
    /*    border-radius: 5px;*/
}

.img-icon {
    display: block;
    margin: 0 auto;
    height: 25px;
}

    .img-icon:hover {
        /*background-color: var(--main-shade);*/
    }

.icon-sublink {
    margin-right: 12px;
    text-align: center;
    width: 24px;
    height: 24px;
    display: inline-block;
}

    .icon-sublink img {
        max-height: 100%;
        max-width: 100%;
        margin: auto;
    }

.txtItalic, i {
    font-style: italic !important;
}

.txtBold, b {
    font-weight: bold !important;
}

.txtSuccess {
    color: var(--grean-main) !important;
    font-weight: bold !important;
}

.txtError {
    color: var(--red-dark) !important;
    font-weight: bold !important;
}

.h100perc {
    height: 100% !important;
}

.img-sched {
    height: 30px !important;
}

.img-sml {
    height: 20px !important;
}

.img-smaller {
    height: 15px !important;
}

.img-rpt {
    height: 125px !important;
}

.img-rptsml {
    height: 80px;
}

.img-spanrpt {
    padding: 15px !important;
}

textarea {
    max-width: 900px;
    min-width: 300px;
    width: 100%;
    max-height: 120px;
    min-height: 120px;
    padding: 10px !important;
}

.txtUpload {
    max-width: 100% !important;
    max-height: 250px !important;
    min-height: 250px !important;
    text-wrap-mode: nowrap !important;
}

.txtGeoCoord {
    max-width: 100% !important;
    max-height: 450px !important;
    min-height: 450px !important;
    text-wrap-mode: nowrap !important;
    font-family: 'Courier New';
    font-size: 13px;
}

input[type="radio"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    border: 2px solid #999;
    transition: 0.1s all linear;
    margin-right: 5px;
    position: relative;
    top: 2px;
    cursor: pointer;
}

input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 2px;
    width: 20px;
    height: 20px;
    border: 2px solid #999;
    transition: 0.1s all linear;
    margin-right: 5px;
    position: relative;
    top: 2px;
    cursor: pointer;
}

    input[type="radio"]:checked, input[type="checkbox"]:checked {
        border: 7px solid green;
        outline: unset !important /* I added this one for Edge (chromium) support */
    }

.alert-user {
    margin: 6px auto;
    padding: 10px;
    color: #856404;
    background-color: #fff3cd;
    border-left: solid 5px red;
}

.st_badge {
    padding: 2px 5px;
    border-radius: 1px;
    color: var(--white);
    font-weight: bold;
    background-color: var(--red-dark);
    font-size: 0.80rem;
    margin-right: 2px;
}
/* ================================================== */
/* USED FOR BOXES WITH ICONS SUCH AS FAVORITES AND OUTLET DOCUMENTS LIST  */



.grid-sub {
    color: var(--black);
    text-transform: none;
    position: relative;
    border: 1px solid var(--neutral-300);
    border-radius: 0.5rem;
    padding: 0.8rem;
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

    .grid-sub:hover {
        background-color: var(--primary-50);
        border-color: var(--primary-700);
    }
    /*fav outlet card*/

    .grid-sub a {
        color: var(--black);
    }
    /*Menu btns*/
    .grid-sub span {
        font-weight: 600;
    }

.sub-icon {
    position: absolute;
    right: 8px;
    top: 8px;
}


.btnGridSub:hover, .btnGridSub:focus, .btnGridSub:active {
    background-color: var(--tr-hover); /*#84c149;*/
}

.st_MarginR {
    margin-right: 10px;
}

.imgCard {
    max-height: 50px;
    max-width: 50px;
    display: block;
}

.imgCardSmall {
    max-height: 30px;
    max-width: 30px;
    display: block;
}

.stFloatR {
    float: right;
    position: relative;
}



.divVCenter {
    display: flex;
    justify-content: left;
    align-items: center;
}
/* ================================================== */

.iframe-box {
    position: relative;
    width: 100%;
    min-width: 800px;
    height: 0;
    padding-top: 66.7%; /* This is your aspect ratio (3/2) */
}

.iframe-sub {
    position: absolute;
    border: none;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    min-height: 530px;
}
/* ================================================== */
/* USED FOR GENERAL SIMPLE TEXT CONTAINERS ONLY */
/* SUCH AS ADMIN MAIN MENU PAGE */
/* WHERE ONLY SINGLE LINE NEEDED IN THE BOX */
/* FOR GENERAL FORMS DATA ENTRY */

.divFormContainer {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0.5rem;
    overflow: auto;
    padding: 1rem;
    border: var(--border-primary);
    border-radius: var(--border-radius-md);
    margin: 1rem 0;
}

.divFormBox {
    min-height: 65px;
    padding: 5px 15px;
}

    .divFormBox label {
        font-weight: bold;
        display: block;
    }
/* FOR CARDS WITH ICONS ON PAGES */

.divMainContainer {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 10px;
}

.divMainBox {
    border: 1px solid silver;
    border-radius: 5px;
    min-height: 40px;
    padding: 5px 10px;
}

    .divMainBox:hover {
        background-color: var(--main-shade);
    }

.divMainBoxImg {
    width: 100%;
    text-align: center;
}

    .divMainBoxImg img {
        margin: 0 auto;
        display: block;
        height: 60px;
    }

.divMainBoxText {
    width: 100%;
    min-height: 30px;
    text-align: center;
    padding: 10px;
}

    .divMainBoxText span {
        vertical-align: middle;
    }
/* ================================================== */

.divSelected {
    border: 1px solid var(--primary-700);
    background-color: var(--main-shade);
}

.imgPaging {
    max-height: 20px;
    max-width: 25px;
}

.icon-sml {
    height: 29px;
    margin: 0 5px;
}

.bgNotActive {
    background-color: var(--bg-biqsue);
    color: var(--red-dark);
}
/* ================================================== */
/* CSS FOR THE PRINT */

@media print {

    html {
        font-size: 12px;
    }

    .divButtons {
        display: none !important;
    }

    .divMyTopNav {
        display: none !important;
    }
}


.uploaderprogresspanel {
    display: none;
    background-color: orange;
    border: solid 2px navy;
    padding: 5px 2px;
}